CEXP(3)

NAME
cexp, cexpf, cexpl - complex exponential function

SYNOPSIS
#include <complex.h>

double complex cexp(double complex z);
float complex cexpf(float complex z);
long double complex cexpl(long double complex z);

Link with -lm.

DESCRIPTION
The function calculates e (2.71828..., the base of natural logarithms) raised to the power of z.

One has cexp(I * z) = ccos(z) + I * csin(z).

CONFORMING TO
C99

SEE ALSO
cabs(3), clog(3), cpow(3), complex(7)